%define ldbmajor	1
%define ldbver		1.1.29

%define libldb %mklibname ldb %{ldbmajor}
%define ldbdevel %mklibname -d ldb

%define libpyldbutil %mklibname pyldb-util 1
%define libpyldbutildevel %mklibname -d pyldb-util

Name: ldb
Version: %{ldbver}
Release: %mkrel 1
Group: System/Libraries
License: GPLv2
URL: http://ldb.samba.org/
Summary: Library implementing Samba's embedded database
Source0: http://samba.org/ftp/ldb/ldb-%{ldbver}.tar.xz
Source2: jelmer.asc
Patch1: ldb-1.1.4-disable-pyevent-check.patch
BuildRequires: python-devel
BuildRequires: openldap-devel
BuildRequires: popt-devel
BuildRequires: tevent-devel >= 0.9.17
BuildRequires: python-tevent >= 0.9.17
BuildRequires: talloc-devel >= 2.0.8
BuildRequires: pytalloc-util-devel >= 2.0.8
BuildRequires: tdb-devel >= 1.2.12
BuildRequires: python-tdb >= 1.2.11
BuildRequires: xsltproc
BuildRequires: docbook-style-xsl

%description
Library implementing Samba's embedded database and utilities for backing up,
restoring and manipulating the database.

%package -n %{libldb}
Group: System/Libraries
Summary: Library implementing Samba's embedded database

%description -n %{libldb}
Library implementing Samba's embedded database

%package -n ldb-utils
Group: Databases
Summary: Tools for backing up, restoring, and manipulating Samba's embedded database

%description -n ldb-utils
Tools for backing up, restoring, and manipulating Samba's embedded database

%package -n %{ldbdevel}
Group: Development/Libraries
Summary: Library implementing Samba's embedded database
Provides: ldb-devel = %{version}-%{release}
Requires: %{libldb} = %{version}-%{release}

%description -n %{ldbdevel}
Library implementing Samba's embedded database

%package -n python-ldb
Group: Development/Python
Summary: Python bindings to Samba's ldb embedded database

%description -n python-ldb
Python bindings to Samba's ldb embedded database

%package -n %{libpyldbutil}
Group: System/Libraries
Summary: Utility library for using tdb functions in python

%description -n %{libpyldbutil}
Utility library for using tdb functions in python.

%package -n %{libpyldbutildevel}
Group: Development/Python
Summary: Development files for utility library for using tdb functions in python
Provides: pyldb-util-devel = %{version}-%{release}
Requires: %{libpyldbutil} = %{version}

%description -n %{libpyldbutildevel}
Development files for utility library for using tdb functions in python.

%prep

%setup -q
%patch1 -p1 -b .nopyeventver
perl -pi -e 's,http://docbook.sourceforge.net/release/xsl/current,/usr/share/sgml/docbook/xsl-stylesheets,g' docs/builddocs.sh buildtools/wafsamba/wafsamba.py buildtools/wafsamba/samba_conftests.py

%build
%configure2_5x --with-modulesdir=%{_libdir} --bundled-libraries=NONE --disable-rpath
%make

%install
rm -rf %buildroot
%makeinstall_std

%files -n %{libldb}
%{_libdir}/libldb.so.%{ldbmajor}*
%{_libdir}/ldb
%exclude %{_libdir}/ldb/libldb-cmdline.so

%files -n %{ldbdevel}
%{_libdir}/libldb.so
%{_libdir}/pkgconfig/ldb.pc
%{_includedir}/ldb*.h

%files -n ldb-utils
%{_bindir}/ldb*
%{_libdir}/ldb/libldb-cmdline.so
%{_mandir}/man1/ldb*.1%{_extension}
%{_mandir}/man3/ldb*.3%{_extension}

%files -n python-ldb
%{py_platsitedir}/ldb.so
%{py_platsitedir}/_ldb_text.*

%files -n %{libpyldbutil}
%{_libdir}/libpyldb-util.so.1*

%files -n %{libpyldbutildevel}
%{_libdir}/libpyldb-util.so
%{_includedir}/pyldb.h
%{_libdir}/pkgconfig/pyldb-util.pc


%changelog
* Thu Sep 07 2017 adrianomorselli <adrianomorselli> 1.1.29-1uplos2017
- attempt to reimport for new samba
